Subject: Re: _path_files in numeric order
From: Bart Schaefer <[email-masked]>
To: [email-masked]
Date: Fri, 19 Aug 2016 10:34:15 -0700
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On Aug 19,  1:53pm, Christian Neukirchen wrote:
}
} I was looking into how to make plain file name completion order "by
} version", ie. "foo1 foo9 foo10" and found this to be missing from the
} "file-sort" style.  I think the easiest way to add this is to put
} 
}   [[ "$tmp1" = *numeric* ]] && sort="${sort}n"

This seems fine to me.

} If anyone has a less invasive method, please tell me.

The only other way to do this is to pass a glob with a qualifier to
the -g option of _path_files, which isn't controllable by zstyle in
any way I can think of.